%define rbname evas
%define version 0.0.0
%define release %mkrel 1.20070422.2

Summary: Ruby binding for evas
Name: ruby-%{rbname}

Version: %{version}
Release: %{release}
Group: Development/Ruby
License: MIT
URL: http://code-monkey.de/projects/ruby-efl.html
Source0: %{name}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: evas-devel 
BuildRequires: ruby-rake ruby-devel

%package devel
Summary: Ruby binding for evas - development files
Group: Development/Ruby

%description
This is a Ruby binding for evas.

Status :
 The main API is in a good shape.
 Support for image objects is still lacking some important bits.

%description devel
This package contains files needed to build objects linked on ruby-evas

%prep
%setup -q -n %{name}

%build
rake 

%install
mkdir -p %{buildroot}%{ruby_archdir}
DESTDIR=%{buildroot} rake install

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING README
%{ruby_sitearchdir}/*.so

%files devel
%defattr(-, root, root)
%{ruby_sitearchdir}/%{rbname}



%changelog
* Wed Apr 25 2007 Pascal Terjan <pterjan@mandriva.org> 0.0.0-1.20070422.2mdv2008.0
+ Revision: 18027
- Fix typo in summary
- Use Development/Ruby for the -devel package too

* Sun Apr 22 2007 Pascal Terjan <pterjan@mandriva.org> 0.0.0-1.20070422.1mdv2008.0
+ Revision: 17028
- New snapshot
- Use Development/Ruby group
- Use mkrel
- Use std macros


* Thu Dec 22 2005 Pascal Terjan <pterjan@mandriva.org> 0.0.0-0.svn346.2mdk
- BuildRequires ruby-devel

* Sun Aug 14 2005 Pascal Terjan <pterjan@mandriva.org> 0.0.0-0.svn346.1mdk
- First version of the package

